Package com.castlabs.sdk.debug.view

# Class AbstractSingleListFragment<DataObject>

java.lang.Object
androidx.fragment.app.Fragment
com.castlabs.sdk.debug.view.AbstractSingleListFragment<DataObject>

Type Parameters:
  `DataObject` - The data object that is rendered in the list

All Implemented Interfaces:
  `ComponentCallbacks`, `View.OnCreateContextMenuListener`, `androidx.activity.result.ActivityResultCaller`, `androidx.lifecycle.HasDefaultViewModelProviderFactory`, `androidx.lifecycle.LifecycleOwner`, `androidx.lifecycle.ViewModelStoreOwner`, `androidx.savedstate.SavedStateRegistryOwner`, `ExtendedPlayerViewProvider.Listener`

Direct Known Subclasses:
  `DownloadsFragment`, `PlayerStatsFragment`, `RenditionsFragment`, `TrackSelectionsFragment`

public abstract class AbstractSingleListFragment<DataObject> extends androidx.fragment.app.Fragment implements ExtendedPlayerViewProvider.Listener
Abstract Fragment implementation that can be used to implement simple titled lists. Note that the hosting activity must implement `ExtendedPlayerViewProvider`.

The implementation manages a list of items in `data` that can be accessed by subclasses.

Data are cleared by default on reset and reload of the player view.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class androidx.fragment.app.Fragment

  `androidx.fragment.app.Fragment.InstantiationException, androidx.fragment.app.Fragment.SavedState`

- ## Field Summary

  ### Fields inherited from class androidx.fragment.app.Fragment

  `mPreviousWho`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractSingleListFragment()`
  Default constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `View`
  `onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState)`
  `void`
  `onReload()`
  Triggered when the player view content is re-loaded
  `void`
  `onStart()`

  ### Methods inherited from class androidx.fragment.app.Fragment

  `dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getContext, getDefaultViewModelCreationExtras, getDefaultViewModelProviderFactory, getEnterTransition, getExitTransition, getFragmentManager, getHost, getId, getLayoutInflater, getLayoutInflater, getLifecycle, getLoaderManager, getParentFragment, getParentFragmentManager, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSavedStateRegistry, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, getViewLifecycleOwner, getViewLifecycleOwnerLiveData, getViewModelStore, hashCode, hasOptionsMenu, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isMenuVisible, isRemoving, isResumed, isStateSaved, isVisible, onActivityCreated, onActivityResult, onAttach, onAttach, onAttachFragment, onConfigurationChanged, onContextItemSelected, onCreate, onCreateAnimation, onCreateAnimator, onCreateContextMenu, onCreateOptionsMenu, onDestroy, onDestroyOptionsMenu, onDestroyView, onDetach, onGetLayoutInflater, onHiddenChanged, onInflate, onInflate, onLowMemory, onMultiWindowModeChanged, onOptionsItemSelected, onOptionsMenuClosed, onPause, onPictureInPictureModeChanged, onPrepareOptionsMenu, onPrimaryNavigationFragmentChanged, onRequestPermissionsResult, onResume, onSaveInstanceState, onStop, onViewCreated, onViewStateRestored, postponeEnterTransition, postponeEnterTransition, registerForActivityResult, registerForActivityResult, registerForContextMenu, requestPermissions, requireActivity, requireArguments, requireContext, requireFragmentManager, requireHost, requireParentFragment, requireView, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, shouldShowRequestPermissionRationale, startActivity, startActivity, startActivityForResult, startActivityForResult, startIntentSenderForResult, startPostponedEnterTransition, toString, unregisterForContextMenu`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AbstractSingleListFragment

    public AbstractSingleListFragment()
    Default constructor

- ## Method Details

  - ### onCreateView

    @Nullable public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState)
    Overrides:
      `onCreateView` in class `androidx.fragment.app.Fragment`

  - ### onStart

    public void onStart()
    Overrides:
      `onStart` in class `androidx.fragment.app.Fragment`

  - ### onReload

    public void onReload()
    Description copied from interface: `ExtendedPlayerViewProvider.Listener`
    Triggered when the player view content is re-loaded
    Specified by:
      `onReload` in interface `ExtendedPlayerViewProvider.Listener`